package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.GoodsType;
import com.jpsoft.shinestar.modules.common.dto.Sort;


import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-8-14 14:58
 */
public interface GoodsTypeService {

    GoodsType get(String id);
    boolean exist(String id);
    int insert(GoodsType model);
    int update(GoodsType model);
    int delete(String id);
    List<GoodsType> list();
    Page<GoodsType> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}
